/* Display properties */

#div-1 {
    background-color: green;
    display: inline;
}

#span-1 {
    background-color: purple;
    display: none;
    width: 200px;
    height: 200px;
}

#span-2 {
    background-color: red;
    display: block;
}

#div-2 {
    background-color: red;
    display: none;
}

#img {
    display: inline-block;
    width: 250px;
    height: 250px;
}

#p-1 {
    background-color: #87CEFA;
}

#p-2 {
    background-color: rgb(255, 105, 180);
    width: 60%;
}

#p-3 {
    background-color: yellow;
    width: 40%;
}

.sample {
    display: inline-block;
    width: 32%;
    border: 1px solid black;
    text-align: center;
}

/* Float Property */

.img-float {
    width: 50px;
    height: 50px;
    /* possible values of float property - left, right, inherit */
    float: right;
}

/* CSS Units */

.box {
    background-color: red;
    border: 1px solid black;
    margin: 5px;
}

.fifty-percent {
    width: 50%;
}

.one-hundred-pixels {
    width: 100px;
}

.parent {
    width: 135px;
    border: 2px solid navy;

    font-size: 30px;
}

.fifty-vw {
    width: 50vw;
}

.twenty-five-vh {
    width: 25vh;
}

/* Font Size */

.one-rem {
    font-size: 1rem;
}

.one-em {
    font-size: 1em;
} 

.two-rem {
    font-size: 2rem;
}

.two-em {
    font-size: 2em;
}

.two-hundred-percent {
    font-size: 200%;
}


.background {
    min-height: 100vh;
    background-color: gray;
    background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);

    background-repeat: no-repeat;
    background-size: 100%;
    background-position: center top;
}

.bg-title {
    color: white;
    text-align: center;
    font-size: 5em;
    margin: 0;
    line-height: 35rem;
}

.container-bg {
    min-height: 100vh;
    background-color: rgba(0, 0, 0, 0.5);
}

/* <!-- CSS Positioning --> */
.parent-element {
    background-color: skyblue;
    padding: 10px;

    position: relative;

    height: 200vh;
}

.child-one {
    background-color: gray;
    padding: 10px;
}

.child-two {
    background-color: yellow;
    position: sticky;
    padding: 10px;
  
    top: 10px;
    
}

.child-three {
    background-color: gray;
    padding: 10px;
}


/* <!-- Z-index --> */

html {
    height: 800vh;
}

.container {
    position: relative;
   
}

.black-box {
    position: relative;
    border: 2px solid black;
    height: 100px;
    width: 30px;
    z-index: 1;

}

.gray-box {
    position: absolute;
    background-color: lightgray;
    height: 60px;
    width: 70%;
    left: 50px;
    top: 50px;
    z-index: 3;
}

.green-box {
    position: absolute;
    background-color: lightgreen;
    width: 35%;
    left: 270px;
    top: -15px;
    height: 100px;
    z-index: 2;
}